Subject: [TLS] Fwd: Improving EV Certificate Security

From: Ben Laurie <[email-masked]>
Date: Tue, 24 Sep 2013 12:54:52 +0100

---------- Forwarded message ----------
From: Ben Laurie <[email-masked]>
Date: 24 September 2013 11:02
Subject: Improving EV Certificate Security
To: Ben Laurie <[email-masked]>

We invite comments on the enclosed proposal.

---

From: Ben Laurie <[email-masked]>
Date: Thu, 26 Sep 2013 11:55:44 +0100

On 26 September 2013 06:15, Joseph Bonneau <[email-masked]> wrote:
> I'd like some elaboration on the plan for step 6, creating a whitelist of
> valid EV certificates without an SCT. How is this going to be achieved?

Not sure what the question is - as the doc says, the list will be
constructed from the logs...

---

From: Ben Laurie <[email-masked]>
Date: Thu, 26 Sep 2013 15:36:30 +0100

On 26 September 2013 15:29, Joseph Bonneau <[email-masked]> wrote:
> I think I read it incorrectly as "without an embedded CT from *any* qualify
> logs" instead of "from all qualifying logs." Now I can see how the whitelist
> is created, but I'm less clear on what the intention of it is. Is the
> assumption that some certs will be issued with more than zero but fewer than
> three SCTs (proposed to the minimum acceptable in the "Qualifying
> Certificates" section) and you'd like to whitelist such certs during the
> rollout period?

Ah. So, all existing certs do not have embedded SCTs. So, we either
wait until all existing certs expire before we can enforce CT, or we
whitelist the unexpired certs.

> Also, why isn't there be a step 8 in the plan, where the whitelist is
> deprecated and every EV cert requires SCTs and Chrome is rejecting the EV
> certs without them?

The whitelist is fixed, so at some point all certs in the whitelist
expire, and the whitelist thus becomes empty.

---

From: Ben Laurie <[email-masked]>
Date: Thu, 26 Sep 2013 16:35:52 +0100

On 26 September 2013 15:44, Joseph Bonneau <[email-masked]> wrote:
> I think I'm back to my original question now :-) How do all the existing
> certs get into the CT log? (at which point building the whitelist is easy)
> Is the onus on EV users then to log their old certs or face failing in
> Chrome? Or do EV-issuing CAs have sufficient records of what they've issued?

My assumption is that this is true. If it's not, then CAs need to tell us :-)

> Or is this something that we're hoping can be (at least mostly) achieved by
> network observation?

This is also likely.